summaryrefslogtreecommitdiffstats
path: root/integration/src/release_scripts/getReleaseData.sh
diff options
context:
space:
mode:
authorliamfallon <liam.fallon@est.tech>2021-12-16 12:56:37 +0000
committerliamfallon <liam.fallon@est.tech>2022-01-06 11:27:22 +0000
commit81c2c515c4c92cb77d7bc31eb2f2771ca2063216 (patch)
treeded78462b4a59aaa2d7503ce414a95a00bac0bf0 /integration/src/release_scripts/getReleaseData.sh
parent1daae3e877d5446c7ec5dac4ca5f28ca1637e393 (diff)
Release scripts for repos, images, OOM, refs
bumpSnapshots.sh: Steps the patch version of snapshot images based on the data in the policy release data file. generateCommit.sh: At the suggestion of OOM, the order of the generated messages is changed. releaseRepo.sh: Generates the release yaml file and the commit to release the maven artifacts of a repo releaseRepoImages.sh: Generates the release yaml fole and the commit to release the docker images from a repo updateOomImages.sh: Generates a commit that updats the references to Policy Framework docker images in OOM updateRefs.sh: Updates the parent. common, models., drools-pdp, and Docker base images in Docker files for reselases or snapshots. Issue-ID: POLICY-3835 Change-Id: I0766a779c2217a57a33ed37725f11acdfb07a16d Signed-off-by: liamfallon <liam.fallon@est.tech>
Diffstat (limited to 'integration/src/release_scripts/getReleaseData.sh')
-rwxr-xr-xintegration/src/release_scripts/getReleaseData.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/integration/src/release_scripts/getReleaseData.sh b/integration/src/release_scripts/getReleaseData.sh
index 19a41ea8..6eefdd14 100755
--- a/integration/src/release_scripts/getReleaseData.sh
+++ b/integration/src/release_scripts/getReleaseData.sh
@@ -4,7 +4,7 @@
# ============LICENSE_START================================================
# ONAP
# =========================================================================
-# Copyright (C) 2021 Nordix Foundation.
+# Copyright (C) 2021-2022 Nordix Foundation.
# =========================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -20,6 +20,8 @@
# ============LICENSE_END==================================================
#
+set -e
+
SCRIPT_NAME=`basename $0`
repo_location="./"
release_data_file="./pf_release_data.csv"